Package org.eclipse.birt.report.engine.extension

# Interface IReportItemGenerationInfo

public interface IReportItemGenerationInfo

## Method Summary

Modifier and Type
Method
Description
`ClassLoader`
`getApplicationClassLoader()`
`IContent`
`getExtendedItemContent()`
`org.eclipse.birt.report.model.api.ExtendedItemHandle`
`getModelObject()`
`org.eclipse.birt.report.engine.api.script.IReportContext`
`getReportContext()`
`org.eclipse.birt.data.engine.api.IDataQueryDefinition[]`
`getReportQueries()`

## Method Details

### getModelObject

org.eclipse.birt.report.model.api.ExtendedItemHandle getModelObject()

### getApplicationClassLoader

ClassLoader getApplicationClassLoader()

### getReportContext

org.eclipse.birt.report.engine.api.script.IReportContext getReportContext()

### getReportQueries

org.eclipse.birt.data.engine.api.IDataQueryDefinition[] getReportQueries()

### getExtendedItemContent

IContent getExtendedItemContent()